---

- name: Create Directory
  file:
    path: "{{ rsat_install_root }}"
    state: directory
    mode: '0755'

- name: Get Source Code
  git:
    repo: "{{ rsat_git_url }}"
    dest: "{{ rsat_install_path }}"
    version: "{{ rsat_git_version }}"
    update: "{{ rsat_git_update }}"
    force: "{{ rsat_git_force }}"
    depth: 1

- name: Get Sub Project Source Code
  git:
    repo: "{{ rsat_git_base_url }}/{{ item }}"
    dest: "{{ rsat_install_root }}/{{ item }}"
    version: master
    update: "{{ rsat_git_update }}"
    force: "{{ rsat_git_force }}"
    depth: 1
  loop: "{{ rsat_git_sub }}"


- name: Create Sub Project Symlink
  file:
    src:  "{{ rsat_install_root }}/{{ item }}"
    dest:  "{{ rsat_install_path }}/public_html/{{ item }}"
    state: link
  loop: "{{ rsat_git_sub }}"
